post
https://app.rumbleup.com/api/contact/import
To perform contact imports programmatically, you can use RumbleUp’s API as an alternative to the Basic Contact Import available in the portal.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
File Format
The file to be imported must be in CSV format. The first line of the file should serve as the header row, containing column names.
Required Columns
- phone
- name or first_name
Allowed Columns
- phone
- name
- first_name
- last_name
- flags
- street
- city
- zipcode
- url
- icon
- source
- descr
- custom1
- custom2
- custom3
- custom4
- custom5
Success:
- 200:
OK. File has been imported successfully.
Errors:
- 401:
Unauthorized. If the authentication failed is returned, either the username or password is incorrect. Verify the both from the applications Integrations / API Keys for your account in the application.
Common Errors
No required columns provided: phone and (name or first_name)
**Steps to Fix**
- Verify the CSV file has a header row with the required fields.
- Check the data submission argument; it should be
-FwithContent-Typeasmultipart/form-dataor--data-binary. - Ensure each column is in lowercase; otherwise, the API will not recognize them.
